Snapvisor Docs

Subscribe to a media comment thread's notifications

Subscribe the authenticated user to a comment thread on a media to receive notifications about new replies. Use it when the user wants to follow replies to a thread they have not taken part in.

POST
/media/{mediaId}/comments/{commentId}/subscription

Subscribe the authenticated user to a comment thread on a media to receive notifications about new replies. Use it when the user wants to follow replies to a thread they have not taken part in.

Authorization

AuthorizationBearer <token>

Authenticate as a user with a personal access token.

Send it as a bearer token in the Authorization header:

Authorization: Bearer <personal-access-token>

Personal access tokens act on behalf of the user that created them and are required by endpoints that perform user actions, such as reviewing builds and posting comments.

In: header

Path Parameters

mediaId*string

The media ID

commentId*string

Public ID of any comment in the thread (e.g. comment-xf23d)

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/media/4821/comments/string/subscription"
{  "id": "string",  "buildId": "string",  "testId": "string",  "mediaId": "string",  "mediaVersionId": "string",  "threadId": "string",  "body": null,  "text": "string",  "author": {    "id": "string",    "slug": "string",    "name": "string"  },  "agent": {    "id": "string",    "name": "string"  },  "screenshotDiffId": "string",  "anchor": {    "type": "point",    "x": 0,    "y": 0  },  "pending": true,  "resolvedAt": "string",  "editedAt": "string",  "createdAt": "string",  "reactions": [    {      "emoji": "string",      "count": 0,      "users": [        {          "id": "string",          "slug": "string",          "name": "string"        }      ]    }  ]}